/**
 * @desc: the postcss config file for postcss-loader and vue-loader uses
 * @author: wenkang_lin
 * @date: 2017/4/5 17:46
 */

const _cssnext = require('postcss-cssnext')({
  browsers: ['last 10 versions'],
  cascade: false,
  features: {
    // rem: { html: false, browsers: 'ie >= 10' },
    customProperties: { variables: require('./launcher/config/design') },
    calc: { mediaQueries: true }
  }
});

module.exports = {
  
  plugins: [_cssnext]
  
};
