/**
 * @desc: config of css loader use with extract-text-webpack-plugin
 */

const _prod = require('../config/env').prod;
const _extractTextPlugin = require('extract-text-webpack-plugin');

module.exports = _extractTextPlugin.extract({
  use: [
    {
      loader: 'css-loader',
      options: { minimize: true, sourceMap: _prod.sourceMap }
    },
    'postcss-loader'
  ],
  fallback: 'vue-style-loader'
});
