/**
 * @desc: auto set global directive in directives dir
 */

import { getModule } from 'utils/require-context';

const modules = require.context('directives', true, /\.js$/);

modules.keys().forEach(key => {
  const { path, name } = getModule('js', key);
  const module = require(`directives/${path}`);
  Vue.directive(name, module.default || module);
});
