/**
 * @desc: promise finally polyfill
 */

/* eslint-disable no-extend-native */
Object.defineProperty(Promise.prototype, 'finally', {
  value(cb) {
    const P = this.constructor;
    return this.then(
      value => P.resolve(cb()).then(() => value),
      reason => P.resolve(cb()).then(() => { throw reason; })
    );
  }
});
