/**
 * @desc: index route
 * @meta: {
 *   title {String}: page title
 *   keepAlive {Boolean}: router-view keep-alive
 * }
 */

export default [
  {
    name: 'home',
    path: '/',
    component: () => require.ensure([], () => require('views/v-home'), 'v-home'),
    meta: {
      title: '首页'
    }
  }
];
