/**
 * @desc: show error message and exit process
 */

const _util = require('util');
const _chalk = require('chalk');

module.exports = (err, exit) => {
  const msg = typeof error === 'object' ? _util.inspect(err) : err;
  console.log(_chalk.red(msg));
  exit && process.exit(1);
};
