/**
 * @desc: common config which used by webpack and dll at production environment
 */

const _webpack = require('webpack');
const _dev = require('../config/env').dev;

module.exports = () => ({
  
  devtool: '#cheap-module-eval-source-map',
  
  performance: false,
  
  plugins: [
    new _webpack.DefinePlugin({
      'process.env': { NODE_ENV: JSON.stringify(_dev.env) }
    })
  ]
  
});
