/**
 * @desc: main
 */

import 'core-js';
import 'deploy/promise';
import 'deploy/vue'; // must before component
import 'deploy/component'; // must before directive and filter
import 'deploy/directive';
import 'deploy/filter';
import 'deploy/interceptor';
import store from 'deploy/store';
import router from 'deploy/router';
import app from 'app';

new Vue({
  router,
  store,
  render: h => h(app)
}).$mount('#app');
